QML plugin library in 5.12?

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

QML plugin library in 5.12?

Russell Warren
The libpyqt5qmlplugin.so still is not included in the latest PyQt5 wheels, forcing a full PyQt5 build for those of us who use it.

Will libpyqt5qmlplugin.so  be included in the 5.12 wheels when they land?

Thanks!
Russ


_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: QML plugin library in 5.12?

Phil Thompson-5
On 21 Dec 2018, at 4:38 pm, Russell Warren <[hidden email]> wrote:
>
> The libpyqt5qmlplugin.so still is not included in the latest PyQt5 wheels, forcing a full PyQt5 build for those of us who use it.
>
> Will libpyqt5qmlplugin.so  be included in the 5.12 wheels when they land?

No. I consider that to be part of the wider Qt environment rather than the run-time Python environment that the wheels focus on.

Phil
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: QML plugin library in 5.12?

Russell Warren
> Will libpyqt5qmlplugin.so  be included in the 5.12 wheels when they land?

No. I consider that to be part of the wider Qt environment rather than the run-time Python environment that the wheels focus on.

Ok. Thanks for clarifying.

I'm curious, though... aren't most people who use the wheels going to be developers who might want more than the runtime? I would have thought most user-level deployments (i.e. those that only need the run-time libs) would be managed with something like pyqtdeploy or pyinstaller.



_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: QML plugin library in 5.12?

Phil Thompson-5
On 28 Dec 2018, at 6:27 pm, Russell Warren <[hidden email]> wrote:
>
> > Will libpyqt5qmlplugin.so  be included in the 5.12 wheels when they land?
>
> No. I consider that to be part of the wider Qt environment rather than the run-time Python environment that the wheels focus on.
>
> Ok. Thanks for clarifying.
>
> I'm curious, though... aren't most people who use the wheels going to be developers who might want more than the runtime? I would have thought most user-level deployments (i.e. those that only need the run-time libs) would be managed with something like pyqtdeploy or pyinstaller.

In my experience most user-level deployments are from an internal PyPI server to in-house Python developers who don't use any of the Qt tools.

Also, does anybody actually use qmlscene?

Phil
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: QML plugin library in 5.12?

Russell Warren
The main reason for wanting plugins to work is actually to make use of qmltestrunner. qmlscene is the easiest way to test the pyqt5 plugin functionality.

That said, qmlscene does get used for random reasons, although the `qml` application is (I think) supposed to replace it.



_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt